require 'ws/ebi/fetch_main'
require 'xsd/qname'

module DatabaseClient::SOAP::EBI::Fetch

# {http://www.ebi.ac.uk/ws/services/WSDbfetch}InputException
class InputException < ::StandardError
  def initialize
  end
end

# {http://exceptions.jdbfetch.ebi.ac.uk}DbfException
class Exception < ::StandardError
  def initialize
  end
end

# {http://exceptions.jdbfetch.ebi.ac.uk}DbfParamsException
class ParameterException < ::StandardError
  def initialize
  end
end

# {http://exceptions.jdbfetch.ebi.ac.uk}DbfConnException
class ConnectionException < ::StandardError
  def initialize
  end
end

# {http://exceptions.jdbfetch.ebi.ac.uk}DbfNoEntryFoundException
class NoEntryFoundException < ::StandardError
  def initialize
  end
end

# {http://www.ebi.ac.uk/ws/services/WSDbfetch}ArrayOf_xsd_string
class StringArray < ::Array
end

end
